org.jboss.netty.handler.codec.compression

## Class CompressionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.netty.handler.codec.compression.CompressionException

All Implemented Interfaces:
  Serializable

    public class CompressionException
    extends RuntimeException

An `IOException` that is raised when compression or decompression failed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CompressionException()` Creates a new instance.
`CompressionException(String message)` Creates a new instance.
`CompressionException(String message, Throwable cause)` Creates a new instance.
`CompressionException(Throwable cause)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompressionException

    public CompressionException()

Creates a new instance.

#### CompressionException

    public CompressionException(String message,
                        Throwable cause)

Creates a new instance.

#### CompressionException

    public CompressionException(String message)

Creates a new instance.

#### CompressionException

    public CompressionException(Throwable cause)

Creates a new instance.